Konsole LAG/Freezes when Typing - Kubuntu Karmic

Bug #443318 reported by Gustavo A. Díaz
64
This bug affects 12 people
Affects Status Importance Assigned to Milestone
acpi
Invalid
Undecided
Unassigned
acpi (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

Since I've being using Kubuntu Karmic (Alpha4, Alpha5 and first Beta and installed from scratch) I have a very annoying problem when typing under Konsole or similar (Yakuake, etc). It has small freezes every X seconds and only happen on my Acer Aspire 5520 (I didn't noticed in other of my computers). No matter if desktop effects are enabled or not, if i use proprietary nVidia driver or no... the problem exist.
This behaviour never happen before in others versions of Kubuntu.

I am attaching my hardware list (If you need more details, let me know)

Actually using latest Kubuntu Karmic Beta AMD64.

ProblemType: Bug
Architecture: amd64
Date: Mon Oct 5 14:33:07 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/kdeinit4
NonfreeKernelModules: nvidia
Package: kdelibs-bin 4:4.3.1-0ubuntu3
ProcEnviron:
 LANGUAGE=es_AR:es
 LANG=es_AR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.38-generic
SourcePackage: kde4libs
Uname: Linux 2.6.31-11-generic x86_64
XsessionErrors: (npviewer.bin:1970): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: clase ELF errónea: ELFCLASS64

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :
affects: kde4libs (Ubuntu) → kdebase (Ubuntu)
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Is this related to KDE? I was using Jaunty before with KDE4.3 (PPA) and without problems like mentioned here.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

I just recently tested a weird thing: I think is not related to konsole at all. Now, i've rebooted in Recovery Mode and selected the root console. Even with NO X server running and NO KDE desktop running, the lag when typing is there. Like very 2 seconds aprox. most of the times.

Revision history for this message
Jonathan Thomas (echidnaman) wrote :

Maybe a problem with the input drivers?

affects: kdebase (Ubuntu) → xserver-xorg-input-keyboard (Ubuntu)
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Maybe... and now that you mention, could be. How to test then? Any idea?

Revision history for this message
Danny (d-engelbarts) wrote :

I am experiencing the same problem, on an acer laptop as well. When konsole locks up other applications still behave normally but switching to the console (CTRL-Fn) doesn't work either. Konsole tabs cannot be closed. Choosing to reboot through the menu will initiate a reboot but takes so long i have never seen it actually come through.

Bryce Harrington (bryce)
tags: added: kubuntu
tags: added: karmic
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Hi,

Any news about this guys? Acer aspire 5XXX Notebooks are very common (at least here in Argentina) and have simile hardware which if all of them have this "bug" will be very annoying. Personally, my Family have 3 of this series...

Revision history for this message
Danny (d-engelbarts) wrote :

I am experiencing problem right now.

Regarding Konsole: I can open new konsole windows but these have the same problem, all input is blocked. Not only keyboard input, executing a "bookmark" neither works. In the current session i think the output also ceased, i cannot tell for sure. After first signs of lock up i was able to open another tab but that was locked as well. By now the konsole window is completely frozen, the window only shows title, all other (menu, prompt etc.) items have vanished, the window still hass it's original size.

I cannot switch to the command line console, CTRL-ALT-Fn does not do anything.

I started xterm, after konsole locked up, and it shows exactly the same problems.

All other applications still work, it looks as if only in/output to shells is affected.

System activity shows "disk-sleep" under CPU%, current processes showing disk sleep are konsole, xterm, events/0 and apt-get. apt-get was running in the konsole terminal.

When i reboot the system (only possible through hard-reset) i will get the empty konsole window at login, after closing it i am able to start new konsole windows.

This is the information i can retrieve at this moment, any tips on how to extract more usable info when the problem occurs is welcome.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote : Re: [Bug 443318] Re: Konsole LAG/Freezes when Typing - Kubuntu Karmic

I also have tha problem here (including the first reported problem
about little intermitent freezes when typing)

2009/10/15, Danny <email address hidden>:
> I am experiencing problem right now.
>
> Regarding Konsole: I can open new konsole windows but these have the
> same problem, all input is blocked. Not only keyboard input, executing a
> "bookmark" neither works. In the current session i think the output also
> ceased, i cannot tell for sure. After first signs of lock up i was able
> to open another tab but that was locked as well. By now the konsole
> window is completely frozen, the window only shows title, all other
> (menu, prompt etc.) items have vanished, the window still hass it's
> original size.
>
> I cannot switch to the command line console, CTRL-ALT-Fn does not do
> anything.
>
> I started xterm, after konsole locked up, and it shows exactly the same
> problems.
>
> All other applications still work, it looks as if only in/output to
> shells is affected.
>
> System activity shows "disk-sleep" under CPU%, current processes showing
> disk sleep are konsole, xterm, events/0 and apt-get. apt-get was running
> in the konsole terminal.
>
> When i reboot the system (only possible through hard-reset) i will get
> the empty konsole window at login, after closing it i am able to start
> new konsole windows.
>
> This is the information i can retrieve at this moment, any tips on how
> to extract more usable info when the problem occurs is welcome.
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Danny (d-engelbarts) wrote :

I am starting to wonder if my problem is really the same thing. I don't experience lag, on my laptop the biggest problem is freezing. The weirdest thing is anything(!!) involving a command prompt seems to be stuck as soon as i experience the problem the first time. Usually this is in Konsole since i use that the most. I've got the impression this happens when konsole has been inactive for some time. As mentioned before, as soon as Konsole locks up i cannot use any command line app any more including Konsole, xterm or switching to the real console.

Today i tried to access the laptop over ssh after a Konsole lockup, i could log in but only got a dead prompt ... Could this be a bash problem?

Could anyone please suggest what i can do to track/debug or resolve this problem?

Revision history for this message
Danny (d-engelbarts) wrote :

Part of /var/log/messages, these messages were logged just before i rebooted through CTRL+ALT+SysRq - B

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

I also have this problem, suddenly all the konsole get freeze, also if I
want to logout/restart/poweroff does nothing... Ctrl+Alt+Fx does nothing as
well.

So I think we have 2 kind of problems here which happen in this kind of
Notebook.
One, is the little freeze when typing on konsole and another mayor freeze of
the OS, also related.

So, anyone will help to dig on this?? Cause final release is about to
come... I always used Kubuntu but if this problem persist, I will have to
switch to other distro.

Thanks.

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Hi,

Today i've installed OpenSUSE 11.2 for testing, and i dont have any of this 2 lags,freezes, etc. in either konsole or the OS at all. Kubuntu karmic is working very bad on my laptop and i see no devs care about this bug and none is helping us to debug on it.
Hope this change.

Thanks.

Revision history for this message
Danny (d-engelbarts) wrote :

Changed package affected to kdebase because i believe that's the source package for konsole.

affects: xserver-xorg-input-keyboard (Ubuntu) → kdebase (Ubuntu)
Changed in kdebase (Ubuntu):
status: New → Confirmed
Revision history for this message
Jonathan Thomas (echidnaman) wrote :

The original report is about a keyboard lag that comes from something lower-level than konsole, reassigning it back to the input driver

affects: kdebase (Ubuntu) → xserver-xorg-input-keyboard (Ubuntu)
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Great, but... is that for sure? Is amazing how nice all works here in
OpenSUSE 11.2... and I don't want to change of OS really, always used Debian
based distro, but so far I don't have choice...
How this get fixed before final release.

And btw, I don't think is related to Konsole at all. Cause the freezes that
the OS have (when this happen I can't even restart, logout or switch to
console with Ctrl+Alt+Fx), the small freezes when typing on a
konsole/yakuake/terminal/whatever/... So, i have my doubs... but likely
nobody is helping to debug (yeah, I repeat it again...) is hard to be sure
of what I causing the problems in this notebook model (to be exactly, mine
is Acer Aspire 5520-5281). Also there is no much info on the logs about it.

Thanks.

2009/10/22 Danny <email address hidden>

> Changed package affected to kdebase because i believe that's the source
> package for konsole.
>
> ** Package changed: xserver-xorg-input-keyboard (Ubuntu) => kdebase
> (Ubuntu)
>
> ** Changed in: kdebase (Ubuntu)
> Status: New => Confirmed
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Danny (d-engelbarts) wrote :

On Thursday 22 October 2009 21:19:41 Jonathan Thomas wrote:
> The original report is about a keyboard lag that comes from something
> lower-level than konsole, reassigning it back to the input driver
>
> ** Package changed: kdebase (Ubuntu) => xserver-xorg-input-keyboard
> (Ubuntu)
>
Jonathan,

I agree the problem is probably lower-level but i fail to see how it can be
related to xserver-xorg-input-keyboard? I can understand how it was first
assigned there but since the problem even affects a shell started by sshd my
guess is it's even lower-level than xserver-xorg-input-keyboard?

--
In theorie is er geen verschil tussen theorie en praktijk.

Danny (d-engelbarts)
affects: xserver-xorg-input-keyboard (Ubuntu) → acpi (Ubuntu)
Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

There, now I think is more reasonable that is a ACPI related problem. Could
be fixed?

2009/10/27 Danny <email address hidden>

> ** Package changed: xserver-xorg-input-keyboard (Ubuntu) => acpi
> (Ubuntu)
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Danny (d-engelbarts) wrote :

Change to acpi package is based on this email on the linux kernel mailing list: http://osdir.com/ml/linux-kernel/2009-09/msg02022.html

The bug reported there is very similar to this one, so is the logging in /var/log/messages (see message #12). The one difference is i get this problem nearly daily so for me it's not very rare.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

For me too, I also have this problem daily, at the point that I must power off my laptop and boot it again.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Btw, I also have that in my logs.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Recently I tried to remove acer-wmi module (sudo modprobe -r acer-wmi) and so far typing on konsole has no more lags at all and seems the system is quiet stable. So, seems this is what causing the system LAGs/Freezes.

Revision history for this message
A.H.M. Donkers (a-h-m-donkers) wrote :

Same problem on my Acer Aspire 7520 (amd64) notebook. Will try the acer-wmi remove.

Note: VirtualBox-3.0 (latest version) also has very noticeable keyboard input *and* mouse and screen freezes since I experienced these system lags/freezes.

Revision history for this message
A.H.M. Donkers (a-h-m-donkers) wrote :

Removing acer-wmi module solved the system lag issue. Brilliant!

The VirtualBox lags still occur (but that may be totally unrelated to this bug).

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Also with blacklist the module works.

2009/11/1 A.H.M. Donkers <email address hidden>

> Removing acer-wmi module solved the system lag issue. Brilliant!
>
> The VirtualBox lags still occur (but that may be totally unrelated to
> this bug).
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
marcel (marcelrf) wrote :

I also have an ACER laptop (5510) and notice the same problem when I upgraded to Karmic, but on Gnome's Terminal. So for sure not kde related.

Also I can confirm that RMMOD'ing acer_wmi kernel module will fix the lagging problem on terminal right away.

Marcel

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Hi again,

I've installed Kubuntu karmic in 2 more laptops than mine (also Acer aspire
5520 series) and with the same problem.
Will devs take care about this? or will have to switch to another distro?

Thanks.

Revision history for this message
marcel (marcelrf) wrote :

Hey Gustavo, you might try to disable the acer_wmi module with 'sudo rmmod acer_wmi'
I also have an Acer 5520 and this fixed it for me. I am not sure what other things unloading this module will do, but so far so good....

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Read the thread please. Already did that (blacklisted the module). But cause
of that temporary fix does not mean that this should no be fixed.

2009/11/24 marcel <email address hidden>

> Hey Gustavo, you might try to disable the acer_wmi module with 'sudo rmmod
> acer_wmi'
> I also have an Acer 5520 and this fixed it for me. I am not sure what other
> things unloading this module will do, but so far so good....
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
marcel (marcelrf) wrote :

Sorry, I didnt catch that.
Well it's a permanent fix for me, I don't use acer_wmi module anyways, so...

You might then want to check out http://code.google.com/p/aceracpi since they are the ones writing this module cause I don't think this is ubuntu specific

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

It is Ubuntu specific, cause in openSUSE 11.2, same kernel... works perfect.

2009/11/24 marcel <email address hidden>

> Sorry, I didnt catch that.
> Well it's a permanent fix for me, I don't use acer_wmi module anyways,
> so...
>
> You might then want to check out http://code.google.com/p/aceracpi since
> they are the ones writing this module cause I don't think this is ubuntu
> specific
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Danny (d-engelbarts) wrote :

Disabling a kernel module permanently is not a solution, it's a workaround. A very poor one at that since the module is specifically targeted at the laptops that are experiencing the problem. And then there's the problem that without the acer_wmi module my bluetooth adapter is unusable too.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Exactly what i am trying to tell... is a quick/temporal/fast fix... So,
should be fixed anyways.

2009/11/24 Danny <email address hidden>

> Disabling a kernel module permanently is not a solution, it's a
> workaround. A very poor one at that since the module is specifically
> targeted at the laptops that are experiencing the problem. And then
> there's the problem that without the acer_wmi module my bluetooth
> adapter is unusable too.
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
george m (gi-martinez) wrote :

On my Acer Aspire 1502 laptop running as 64 bit, I have had the 'freeze' problem for about 6-9 months, since one of the daily/weekly software patches. It became more serious when I upgraded from 8.04 to 9.10.
On my old desktop which was quite stable when running Ubuntu 8.04lts it froze very frequently after upgrading to 9.10. I changed to Kubuntu and this has improved it a little but there is still instability. After starting the system with the logo .loaded and before I could log-in, the system froze, therefore is it a problem with the kernal? Running from the 'live CD' improves the stability but it is still a problem. Has anyone diagnosed the problem and produced a solution yet?

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

Since nobody seems to care much about this bug, first i´ve applied the
posted workaround, and second, now using OpenSUSE in full time and leave
Kubuntu as secondary OS :)

2009/12/13 george m <email address hidden>

> On my Acer Aspire 1502 laptop running as 64 bit, I have had the 'freeze'
> problem for about 6-9 months, since one of the daily/weekly software
> patches. It became more serious when I upgraded from 8.04 to 9.10.
> On my old desktop which was quite stable when running Ubuntu 8.04lts it
> froze very frequently after upgrading to 9.10. I changed to Kubuntu and this
> has improved it a little but there is still instability. After starting the
> system with the logo .loaded and before I could log-in, the system froze,
> therefore is it a problem with the kernal? Running from the 'live CD'
> improves the stability but it is still a problem. Has anyone diagnosed the
> problem and produced a solution yet?
>
> --
> Konsole LAG/Freezes when Typing - Kubuntu Karmic
> https://bugs.launchpad.net/bugs/443318
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Gustavo A. Díaz
GDNet Projects
www.gdnet.com.ar

Revision history for this message
Ahmed Toulan (thelinuxer) wrote :

I had the same problem with my Acer Aspire 5630

After doing

sudo rmmod acer-wmi

I realized the problem was gone. So I blacklisted this module.

In file "/etc/modprobe.d/blacklist.conf" add the following line.

blacklist acer-wmi

Hope this helps.

Revision history for this message
Gustavo A. Díaz (gdiaz) wrote :

This workaround was already posted here.

Revision history for this message
Matteo Mazzantini (matteo.m) wrote :

Hi all,
i have an Acer Aspire 5630 with Ubuntu Karmic AMD64 installed.
Same keyboard freeze issue every approximately two seconds, only in gnome-terminal and all virtual console (tty1...tty6).
Same workaround applied and now the problem seems solved.

I think it's a problem related to the 64 bit architecture, because before installing Karmic AMD64, I was using successfully the 32 bit version.

Now I think to going back to 32 bit version, since I have not even noticed significant performance gains.

As soon as I'll finish, I will give you confirmation of this test...

Revision history for this message
Carlos Corbacho (carlos.corbacho) wrote :

Can someone who is suffering this issue please provide me with a more complete /var/log/messages?

So far, it looks like there's something odd happening lower down in the ACPI stack that is then triggering problems for acer-wmi, but I need more of the logs to be certain.

Revision history for this message
Danny (d-engelbarts) wrote :

Carlos,

I have re-enabled the acer_wmi module, i've had it disabled for the last few months. Have you noticed the message log in posting #12?

When the problem occurs i will post more logs.

Revision history for this message
Carlos Corbacho (carlos.corbacho) wrote :

Yes, I saw the attached logs, but I'd like to see more context.

Actually, it would also be interesting to see the logs if you blacklist acer-wmi.

Revision history for this message
Danny (d-engelbarts) wrote :

Ok, it took a while before the bug exposed itself again - at this time i had six console tabs open, 5 ssh sessions to other hosts and one local shell (all ssh sessions were started from a local shell). It looks as if i have different behaviour now, after a reboot the system remains just short of unusable ... i can type this message in firefox but was unable to open a reply message in kmail, i opened konsole and it hung after typing two characters. closed konsole and i'm unable to open it again. I cannot change to console using ctrl-alt Fn either (as previously described). I will reboot after completing this message to see if that helps.

The attached messages.log starts on the14th of february, the system was booted at least once every day. I have not experienced the problem until today (Feb 21 01:09 in messages). All sessions prior to that one were without acer-wmi module.

Revision history for this message
Danny (d-engelbarts) wrote :

Retry, with the correct messages file this time.

Revision history for this message
Danny (d-engelbarts) wrote :

After a second reboot konsole seems usable again (until the bug wil expose itself again that is).

Revision history for this message
Rafael Baquero S. (rbaqueros) wrote :

I am also experiencing this problem.

Description:
i) Fresh install of Kubuntu last night (AMD 64, experienced severe problems with i686).
ii) System was working fine until I left the laptop (Acer Aspire 7520) unatended for a while and the screen was powered down (probably also the hard drive, etc.) Afterwards:

iii) Audio module failed (HDA NVidia (ALC268 Analog)).
iv) Konsole froze.
v) NumLock key is not working.
vi) Unable to open a console with Ctrl-Alt-Fn.
vii) Unable to open new Konsole instance.

Hardware description:
Acer Aspire 7520-5947.
CPU: AMD Athlon 64 x2 TK-57 Dual-Core.
GPU: NVidia GeForce 7000M
Audio: HDA NVidia (ALC268 Analog.
Mem: Originally 2 GB ram, upgraded to 4 GB.
HDD: Originally 1x250 GB, added a 500 GB HDD.

Sorry I can not provide more detailed hardware info, I am experiencing some keyboard problems! :-)

I am attaching /var/log/messages. This log file constitutes the entire log since Kubuntu was installed (again last night).

This problem is Kubuntu specific. Until last night this laptop was working with Fedora 12 without these problems (in case you are wondering, I switched back to Kubuntu because I could not get my printer or scanner to work with Fedora, so now I can choose between being able to type but not print, or print but not type!)

I will now try the module blacklist workaround mentioned above and will later post a new /var/log/messages.

I love Kubuntu but its quality has dropped severely in the last few versions.

I hope this helps.

Cheers.

tags: added: lucid
Revision history for this message
Danny (d-engelbarts) wrote :

I have been running Lucid for a while now and i am afraid the bug is still present in Lucid. That is, i have experienced similar behavior in Lucid *but* ... first of all it is much less frequent, where - in Karmic - the problem would occur eight out of ten times i have the impression that it dropped to about two out of ten in Lucid. The lockup in Lucid is more severe though, in Karmic one processor core would lock up leaving the other available for none shell tasks, this happens in Lucid too. The difference is that in Karmic you would not be able to open anything shell related, in Lucid you can still open a shell related task which will then lock up the second core and thus lock up the whole system. The only option at that point is Ctrl-Alt-SysRq b or a cold reboot.

To emphasize; this bug renders a system totally unusable, Karmic as well as Lucid!!

Just a short list of apps i found impacted by this bug: Konsole, Xterm, bash, Kmail, sshd and any form of shutdown or reboot

I could add any app that requires shell access at some time!

Revision history for this message
Carlos Corbacho (carlos.corbacho) wrote :

I'm suspicious that the real problem is actually in the ACPI layer. From both the posted logs:

Feb 21 01:14:59 laptop-danny kernel: [ 52.010106] ACPI Error (dsfield-0140): [CB04] Namespace lookup failure, AE_ALREADY_EXISTS
Feb 21 01:14:59 laptop-danny kernel: [ 52.010120] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.AMW0.WMCA] (Node ffff8800bc62b660), AE_ALREADY_EXISTS
Feb 21 01:14:59 laptop-danny kernel: [ 52.010135] ACPI: Marking method WMCA as Serialized because of AE_ALREADY_EXISTS error

and:

Feb 20 17:08:11 woden kernel: [ 48.383986] ACPI Error (dswload-0790): [_T_0] Namespace lookup failure, AE_ALREADY_EXISTS
Feb 20 17:08:11 woden kernel: [ 48.383995] ACPI Exception: AE_ALREADY_EXISTS, During name lookup/catalog 20090521 psloop-227
Feb 20 17:08:11 woden kernel: [ 48.384002] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.WMID.WMBA] (Node ffff88013be299c0), AE_ALREADY_EXISTS
Feb 20 17:08:11 woden kernel: [ 48.384013] ACPI: Marking method WMBA as Serialized because of AE_ALREADY_EXISTS error

If someone can provide me with the DSDT / acpidump for one of the affected laptops, I'll have a look; but this probably needs to be sent upstream to the Linux ACPI maintainers for them to fix (i.e. this is a bug lower down in the ACPI layer, not a bug in acer-wmi).

Revision history for this message
5zwvKGFr (5zwvkgfr-deactivatedaccount) wrote :

Not sure what's the correct procedure, but here's what I did to supply the requested acpidump:

1) enable acer_wmi (because I have it blacklisted)
sudo modprobe acer_wmi

2) held down key "t", periodic hickups (freezes) happened

3) sudo acpidump > /tmp/acpidump.out

4) uname -a
Linux as5520g 2.6.31-21-generic #59-Ubuntu SMP Wed Mar 24 07:28:27 UTC 2010 x86_64 GNU/Linux

5) lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 9.10
Release: 9.10
Codename: karmic

6) I've got an Acer Aspire 5520G

Revision history for this message
Carlos Corbacho (carlos.corbacho) wrote :

Andris: Can you post your dmesg as well?

Revision history for this message
5zwvKGFr (5zwvkgfr-deactivatedaccount) wrote :

I enabled (commented out blacklist...) acer_wmi and booted into the recovery console. Held down "t", observed bug, ran "dmesg > dmesg.out".

Revision history for this message
dino99 (9d9) wrote :

Closing that outdated report as EOL has been reached long time ago

Changed in acpi (Ubuntu):
status: Confirmed → Invalid
Changed in acpi:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.